Bug 1440378 - Review Request: pantheon-greeter - Pantheon's LightDM Login Screen
Summary: Review Request: pantheon-greeter - Pantheon's LightDM Login Screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-04-08 09:36 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-10 16:03:45 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-04-08 09:36:29 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/pantheon-greeter.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/pantheon-greeter-3.1.1-2.fc25.src.rpm

Description: Pantheon Greeter is a Pantheon-styled Login Screen for LightDM. It is elementary OS's default login screen.

Fedora Account System Username: decathorpe


koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18853200


PS: I will add the - currently unowned - directory "/etc/wingpanel.d" to the wingpanel package (where it belongs) shortly.

Comment 1 Neal Gompa 2017-04-08 14:00:38 UTC
Taking this review.

Comment 2 Neal Gompa 2017-04-08 14:27:16 UTC
There's a Requires missing for "lightdm%{?_isa}", since the greeter actually requires the display manager to be installed, rather than just its libraries. Likewise for "wingpanel%{?_isa}".

A bug should be filed for lightdm to own "/usr/share/xgreeters", since that apparently is not owned by lightdm when it should be. I won't block on it, but it really needs to be fixed...

Comment 3 Fabio Valentini 2017-04-08 16:28:16 UTC
You're right, of course. Fixed:

Spec URL: https://decathorpe.fedorapeople.org/packages/pantheon-greeter.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/pantheon-greeter-3.1.1-3.fc25.src.rpm


I'll report a bug on lightdm not owning xgreeters later.

Comment 4 Neal Gompa 2017-04-08 17:42:58 UTC
I noticed that there's a LICENSE file in the upstream tarball you're pulling, and you don't have the LICENSE file installed in the spec. Please add that.

Comment 6 Neal Gompa 2017-04-08 22:26:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (2
     clause)", "GPL (v3)", "LGPL (v3)", "Unknown or generated". 105 files
     have unknown license. Detailed output of licensecheck in
     /home/makerpm/1440378-pantheon-greeter/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/xgreeters, /usr/share/locale/rue,
     /usr/share/locale/ckb, /usr/share/locale/rue/LC_MESSAGES,
     /etc/wingpanel.d, /usr/share/locale/ckb/LC_MESSAGES
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/rue/LC_MESSAGES, /etc/wingpanel.d,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/ckb,
     /usr/share/locale/rue, /usr/share/xgreeters
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     pantheon-greeter-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pantheon-greeter-3.1.1-4.fc27.x86_64.rpm
          pantheon-greeter-debuginfo-3.1.1-4.fc27.x86_64.rpm
          pantheon-greeter-3.1.1-4.fc27.src.rpm
0 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pantheon-greeter-debuginfo-3.1.1-4.fc27.x86_64.rpm
pantheon-greeter-debuginfo.x86_64: E: changelog-time-in-future 2017-04-09
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pantheon-greeter-debuginfo.x86_64: E: changelog-time-in-future 2017-04-09
pantheon-greeter.x86_64: E: changelog-time-in-future 2017-04-09
pantheon-greeter.x86_64: W: only-non-binary-in-usr-lib
pantheon-greeter.x86_64: W: no-documentation
pantheon-greeter.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
pantheon-greeter.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
pantheon-greeter.x86_64: W: no-manual-page-for-binary pantheon-greeter
2 packages and 0 specfiles checked; 2 errors, 5 warnings.



Requires
--------
pantheon-greeter-debuginfo (rpmlib, GLIBC filtered):

pantheon-greeter (rpmlib, GLIBC filtered):
    config(pantheon-greeter)
    impallari-raleway-fonts
    libEGL.so.1()(64bit)
    libGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.20()(64bit)
    libcogl-path.so.20()(64bit)
    libcogl.so.20()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    liblightdm-gobject-1.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libwingpanel-2.0.so.0()(64bit)
    libxkbcommon.so.0()(64bit)
    lightdm(x86-64)
    numlockx
    rtld(GNU_HASH)
    wingpanel(x86-64)



Provides
--------
pantheon-greeter-debuginfo:
    pantheon-greeter-debuginfo
    pantheon-greeter-debuginfo(x86-64)

pantheon-greeter:
    config(pantheon-greeter)
    lightdm-greeter
    lightdm-pantheon-greeter
    lightdm-pantheon-greeter(x86-64)
    pantheon-greeter
    pantheon-greeter(x86-64)



Source checksums
----------------
https://launchpad.net/pantheon-greeter/loki/3.1.1/+download/pantheon-greeter-3.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : 4aae117c5741ab889463ebdb8f260e4de977b6be14f04bf1d195e7311b9de2f0
  CHECKSUM(SHA256) upstream package : 4aae117c5741ab889463ebdb8f260e4de977b6be14f04bf1d195e7311b9de2f0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1440378 -m ../../home/makerpm/fedora-rawhide-x86_64-koji
Buildroot used: fedora-rawhide-x86_64-koji
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Neal Gompa 2017-04-08 22:28:14 UTC
I'm already aware of the issue with /etc/wingpanel.d, and as you're the maintainer of wingpanel and will be fixing it, I'm okay with ignoring it.

PACKAGE APPROVED.

Comment 8 Gwyn Ciesla 2017-04-09 02:38:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pantheon-greeter

Comment 9 Fedora Update System 2017-04-09 12:00:13 UTC
pantheon-greeter-3.1.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fedb7f2aa1

Comment 10 Fedora Update System 2017-04-09 12:04:30 UTC
pantheon-greeter-3.1.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d77d1507a1

Comment 11 Fedora Update System 2017-04-10 02:51:38 UTC
pantheon-greeter-3.1.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d77d1507a1

Comment 12 Fedora Update System 2017-04-10 04:51:07 UTC
pantheon-greeter-3.1.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fedb7f2aa1

Comment 13 Fedora Update System 2017-04-10 16:03:45 UTC
pantheon-greeter-3.1.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-04-10 21:21:23 UTC
pantheon-greeter-3.1.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.